<template>
  <Splide :id="idSlider" :has-track="false" :options="options">
    <div v-if="arrowsCenter" class="splide__arrows my__splide__arrows-center">
      <button class="splide__arrow splide__arrow--prev">
        <arrow-swiper />
      </button>
      <button class="splide__arrow splide__arrow--next">
        <arrow-swiper />
      </button>
    </div>
    <SplideTrack>
      <SplideSlide v-for="(img, index) in images" :key="index" @click="openPupup(index)">
        <img :src="img" alt="" />
      </SplideSlide>
    </SplideTrack>

    <div v-if="arrowsBottom && images && images.length > 1" class="splide__arrows my__splide__arrows">
      <button class="splide__arrow splide__arrow--prev">
        <arrow-swiper />
      </button>
      <ul class="splide__pagination"></ul>
      <button class="splide__arrow splide__arrow--next">
        <arrow-swiper />
      </button>
    </div>
  </Splide>
</template>

<script>
//   https://splidejs.com/v3/guides/options/
import { Splide, SplideSlide, SplideTrack } from "@splidejs/vue-splide";
import { defineComponent } from "vue";
import ArrowSwiper from "./icons/arrow-swiper.vue";

export default defineComponent({
  components: {
    Splide,
    SplideSlide,
    SplideTrack,
    ArrowSwiper,
  },
  props: {
    images: { type: Array },
    pagination: { type: Boolean, default: true },
    arrows: { type: Boolean, default: true },
    perPage: { type: Number, default: 1 },
    idSlider: { type: String },
    arrowsBottom: { type: Boolean, default: true },
    arrowsCenter: { type: Boolean, default: false },
    indexImgStart: {type: Number, default: 0},
    loop: { type: Boolean, default: true },
  },

  setup(props) {
    const options = {
      perPage: props.perPage,
      type: props.images.length > 1 && props.loop ? 'loop' : "slide", // 'slide', 'loop'
      arrows: props.arrows,
      pagination: props.pagination,
      lazyLoad: "nearby", // 'nearby' загружать изображения вокруг активного слайда /'sequential' Загружает изображения последовательно / false
      // rewind: true,
      // gap   : '60px',
      start: props.indexImgStart
    };

    return { options };
  },
  data() {
    return {
      isOpen: false,
    };
  },
  mounted() {},
  methods: {
    openPupup(index) {
      this.isOpen = !this.isOpen;
      this.$emit("openPopupGallery", index);
    },

  },
});
</script>
